Bug 463138 - Review Request: perl-Test-HTTP-Server-Simple - Test::More functions for HTTP::Server::Simple
Review Request: perl-Test-HTTP-Server-Simple - Test::More functions for HTTP:...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459536
  Show dependency treegraph
 
Reported: 2008-09-22 03:45 EDT by Ralf Corsepius
Modified: 2010-06-18 12:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-09-22 03:45:34 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Test-HTTP-Server-Simple.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Test-HTTP-Server-Simple-0.09-1.fc10.src.rpm

Description:
This mixin class provides methods to test an HTTP::Server::Simple-based web
server. Currently, it provides only one such method: started_ok.

This package is a dependency of rt-3.8's testsuite.
Comment 2 manuel wolfshant 2008-09-22 05:53:25 EDT
The build log says 
t/pod-coverage....skipped: Test::Pod::Coverage 1.04 required for testing POD coverage
t/pod.............skipped: Test::Pod 1.14 required for testing POD

Is this really intended ? Both are in rawhide already
Comment 3 Ralf Corsepius 2008-09-22 06:06:56 EDT
(In reply to comment #2)
> Is this really intended ? Both are in rawhide already
No, this wasn't intended - Seems as if I am a bit swamped with Fedora's bureaucracy and infrastructure defects ;)

However, in general, these two are special, because these only check for a package's integrity/cleanness and don't actually check a package for functionality. It's the reason why some packagers prefer to systematically ignore them, while others prefer to add them.

I am in the latter group, and will add them ASAP.
Comment 5 manuel wolfshant 2008-09-22 07:32:39 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM:perl-Test-HTTP-Server-Simple.src: E: unknown-key GPG#8ff214b4
--> ignorable
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Pack
aging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the l
icense(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: d80afc773737dc40e19024dedf455b04f3ce021b IPC-Run-SafeHandles-0.02.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [-] Package should compile and build into binary rpms on all supported architectures.
-> package is noarch
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

 All tests (%make check) pass


================
*** APPROVED ***
================
Comment 6 Ralf Corsepius 2008-09-22 07:54:44 EDT
New Package CVS Request
=======================
Package Name: perl-Test-HTTP-Server-Simple
Short Description: Test::More functions for HTTP::Server::Simple
Owners: corsepiu
Branches: F-9 F-8
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2008-09-22 11:54:46 EDT
cvs done.
Comment 8 Fedora Update System 2008-09-22 15:47:50 EDT
perl-Test-HTTP-Server-Simple-0.09-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Test-HTTP-Server-Simple-0.09-3.fc9
Comment 9 Fedora Update System 2008-09-22 15:48:34 EDT
perl-Test-HTTP-Server-Simple-0.09-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/perl-Test-HTTP-Server-Simple-0.09-3.fc8
Comment 10 Fedora Update System 2008-09-24 20:26:59 EDT
perl-Test-HTTP-Server-Simple-0.09-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-09-24 20:27:15 EDT
perl-Test-HTTP-Server-Simple-0.09-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Mark Chappell 2010-06-18 11:39:25 EDT
corsepiu is listed as not interested in EPEL


Package Change Request
======================
Package Name: perl-Test-HTTP-Server-Simple
New Branches: EL-6
Owners: tremble
Comment 13 Jason Tibbitts 2010-06-18 12:02:48 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.